# testFixtures

abstract fun testFixtures(notation: Any): Dependency

Declares a dependency on the test fixtures of a component.

#### Since

5.6

#### Parameters

notation

the coordinates of the component to use test fixtures for

abstract fun testFixtures(notation: Any, configureAction: Action<in Dependency>): Dependency

Declares a dependency on the test fixtures of a component and allows configuring the resulting dependency.

#### Since

5.6

#### Parameters

notation

the coordinates of the component to use test fixtures for

open fun testFixtures(dependencyProvider: Provider<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the test fixtures of the target component

#### Return

a new dependency provider targeting the test fixtures of the component

#### Since

6.8

#### Parameters

dependencyProvider

the dependency provider

open fun testFixtures(dependencyProviderConvertible: ProviderConvertible<MinimalExternalModuleDependency>): Provider<MinimalExternalModuleDependency>

Configures this dependency provider to select the test fixtures of the target component

#### Return

a new dependency provider targeting the test fixtures of the component

#### Since

7.3

#### Parameters

dependencyProviderConvertible

the dependency provider convertible that returns the dependency provider